> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search doctors

> This api is used to search for doctors.

<note>
  Refer to this link for specialties:
  [https://www.fhir.org/guides/argonaut/scheduling/ValueSet-specialty.html](https://www.fhir.org/guides/argonaut/scheduling/ValueSet-specialty.html)
</note>


## OpenAPI

````yaml post /abdm/uhi/v1/physical-consultation/search/doctors
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/search/doctors:
    post:
      description: This api is used to search for doctors.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelsDoctorsSearchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsGetPhysConsCommonResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsDoctorsSearchRequest:
      properties:
        district_code:
          description: Search doctor by District code
          examples:
            - '295'
          type:
            - 'null'
            - string
        district_name:
          description: Search doctor by District name
          examples:
            - Bengaluru Urban
          type:
            - 'null'
            - string
        doctor_name:
          description: Search doctor by Name
          examples:
            - Ganesh
          type:
            - 'null'
            - string
        end_time:
          description: End time for doctor availability (24H format)
          examples:
            - '2025-08-05T23:59:59Z'
          type: string
        facility_name:
          description: Search doctor by Facility/Hospital name
          examples:
            - Apollo Hospital
          type:
            - 'null'
            - string
        hpr_id:
          description: Search doctor by HPR ID
          type:
            - 'null'
            - string
        latitude:
          description: Latitude for location-based search
          examples:
            - '12.9716'
          type:
            - 'null'
            - string
        longitude:
          description: Longitude for location-based search
          examples:
            - '77.5946'
          type:
            - 'null'
            - string
        pincode:
          description: Search doctor by Pincode
          examples:
            - '560001'
          type:
            - 'null'
            - string
        radius_km:
          description: Radius in kilometers for location-based search
          examples:
            - '10'
          type:
            - 'null'
            - string
        speciality:
          description: Search doctor by Speciality
          examples:
            - CARDIOLOGY
          type:
            - 'null'
            - string
        start_time:
          description: Start time for doctor availability (24H format)
          examples:
            - '2025-08-05T00:00:00Z'
          type: string
        state_code:
          description: Search doctor by State code
          examples:
            - '29'
          type:
            - 'null'
            - string
        state_name:
          description: Search doctor by State name
          examples:
            - Karnataka
          type:
            - 'null'
            - string
      type: object
    ModelsGetPhysConsCommonResponse:
      properties:
        order_id:
          description: Unique booking/order ID
          type: string
        provider_id:
          description: Provider ID for the next API call
          type: string
        txn_id:
          description: Unique transaction ID for the next API call
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````